# TOD신호정보(제공)

## 코드 정의서

UTIC(도로교통공단) 에서 정의한 코드 정의서 입니다.

### 지역 코드

{% hint style="info" %} <mark style="color:purple;">**L02 (인천)**</mark>&#x20;

<mark style="color:purple;">**L29 (대구)**</mark>&#x20;

<mark style="color:purple;">**L99 (화성-임시코드)**</mark>
{% endhint %}

{% file src="/files/UBmIV7q7cpPtzwZ8RD6y" %}
지역코드
{% endfile %}

### 계획 요일 코드

{% file src="/files/hqcU8u8tsSuO0O0b80X6" %}
계획요일코드
{% endfile %}

### 교차로 예약제어 코드&#x20;

{% file src="/files/BPLyXdNDKjsIuTeOAqS4" %}
교차로예약제어코드
{% endfile %}

## 1. 교차로 기초정보 조회 API (GetIntersectonInfo)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/gli
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/02Oi6xAitWAUEoa0CHzt" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/gli?regionCd=L01&nodeId=1500006500&ver=20240723 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/gli?regionCd=L01&nodeId=1500006500&ver=20240723' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
[
    {
        "regionCd": "L29",
        "csrd": [
            {
                "csrdNo": 1375,
                "csrdNm": "월성태왕서편",
                "updtTm": "2022-10-27 12:59:12",
                "mapNo": "0",
                "xCoord": 1.285263005E9,
                "yCoord": 3.58235353E8,
                "nodeId": "1560117103.0",
                "intMainPhase": null,
                "aRing1PhaseDirCd": "S310130",
                "aRing2PhaseDirCd": null,
                "aRing3PhaseDirCd": null,
                "aRing4PhaseDirCd": null,
                "aRing5PhaseDirCd": null,
                "aRing6PhaseDirCd": null,
                "aRing7PhaseDirCd": null,
                "aRing8PhaseDirCd": null,
                "bRing1PhaseDirCd": "S130310",
                "bRing2PhaseDirCd": null,
                "bRing3PhaseDirCd": null,
                "bRing4PhaseDirCd": null,
                "bRing5PhaseDirCd": null,
                "bRing6PhaseDirCd": null,
                "bRing7PhaseDirCd": null,
                "bRing8PhaseDirCd": null
            }
        ]
    },
    {
        "regionCd": "L02",
        "csrd": [
            {
                "csrdNo": 1002,
                "csrdNm": "율목4거리",
                "updtTm": "2022-10-06 10:59:51",
                "mapNo": "0",
                "xCoord": 1.26636233E9,
                "yCoord": 3.7469174E8,
                "nodeId": "1610001001.0",
                "intMainPhase": null,
                "aRing1PhaseDirCd": "S140320",
                "aRing2PhaseDirCd": "L320030",
                "aRing3PhaseDirCd": "L030140",
                "aRing4PhaseDirCd": "S210030",
                "aRing5PhaseDirCd": null,
                "aRing6PhaseDirCd": null,
                "aRing7PhaseDirCd": null,
                "aRing8PhaseDirCd": null,
                "bRing1PhaseDirCd": "L140210",
                "bRing2PhaseDirCd": "S320140",
                "bRing3PhaseDirCd": "S030210",
                "bRing4PhaseDirCd": "L210320",
                "bRing5PhaseDirCd": null,
                "bRing6PhaseDirCd": null,
                "bRing7PhaseDirCd": null,
                "bRing8PhaseDirCd": null
            },
            {
                "csrdNo": 5168,
                "csrdNm": "건설회관3거리",
                "updtTm": "2022-10-06 10:59:59",
                "mapNo": "0",
                "xCoord": 1.26699959E9,
                "yCoord": 3.7452061E8,
                "nodeId": "1650017001.0",
                "intMainPhase": null,
                "aRing1PhaseDirCd": "L270010",
                "aRing2PhaseDirCd": "S190010",
                "aRing3PhaseDirCd": null,
                "aRing4PhaseDirCd": null,
                "aRing5PhaseDirCd": null,
                "aRing6PhaseDirCd": null,
                "aRing7PhaseDirCd": null,
                "aRing8PhaseDirCd": null,
                "bRing1PhaseDirCd": null,
                "bRing2PhaseDirCd": "S010190",
                "bRing3PhaseDirCd": null,
                "bRing4PhaseDirCd": null,
                "bRing5PhaseDirCd": null,
                "bRing6PhaseDirCd": null,
                "bRing7PhaseDirCd": null,
                "bRing8PhaseDirCd": null
            }
        ]
    }
]
```

## 2. 교차로 운영계획정보 조회 API (GetSignalPlan)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/gsp
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/RJBDvnlGMY2OkAnToS7V" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/gsp?regionCd=L02&csrdNo=1001&ver=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/gsp?regionCd=L02&ver=20240722&csrdNo=1001' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "sigPlan": [
        {
            "csrdNo": 1001,
            "csrdNm": "신광4거리",
            "plan": [
                {
                    "csrdPlanNo": 1,
                    "csrdPlanIdxNo": 1,
                    "operPlanHh": 6.0,
                    "operPlanMi": 0.0,
                    "csrdOperCycleVal": 160.0,
                    "csrdOperOffsetVal": 45.0,
                    "aRing1PhaseVal": 63.0,
                    "aRing2PhaseVal": 45.0,
                    "aRing3PhaseVal": 52.0,
                    "aRing4PhaseVal": 0.0,
                    "aRing5PhaseVal": 0.0,
                    "aRing6PhaseVal": 0.0,
                    "aRing7PhaseVal": 0.0,
                    "aRing8PhaseVal": 0.0,
                    "bRing1PhaseVal": 63.0,
                    "bRing2PhaseVal": 45.0,
                    "bRing3PhaseVal": 52.0,
                    "bRing4PhaseVal": 0.0,
                    "bRing5PhaseVal": 0.0,
                    "bRing6PhaseVal": 0.0,
                    "bRing7PhaseVal": 0.0,
                    "bRing8PhaseVal": 0.0
                }
            ]
        }
    ]
}
```

## 3. 교차로 요일계획정보(평일) 조회 API (GetSignalWeekPlan)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/gswp
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/HX7LostJrycQyWsOzAHk" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/gswp?regionCd=L02&csrdNo=1001&ver=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/gswp?regionCd=L02&ver=20240722&csrdNo=1001' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "items": [
        {
            "csrdNo": 1001,
            "csrdNm": "신광4거리",
            "item": [
                {
                    "planDy": "1",
                    "csrdPlanNo": "4",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "2",
                    "csrdPlanNo": "2",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "3",
                    "csrdPlanNo": "1",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "4",
                    "csrdPlanNo": "1",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "5",
                    "csrdPlanNo": "1",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "6",
                    "csrdPlanNo": "1",
                    "collctDtime": "2024-07-22 01:00:16"
                },
                {
                    "planDy": "7",
                    "csrdPlanNo": "3",
                    "collctDtime": "2024-07-22 01:00:16"
                }
            ]
        }
    ]
}
```

## 4. 교차로 특수일계획 정보 조회 API (GetHolyDayPlan)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/ghdp
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/Qk5rbDg2qknQOT0v9AKe" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/ghdp?regionCd=L02&csrdNo=1001&ver=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/ghdp?regionCd=L02&csrdNo=1001&ver=20240722' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "items": [
        {
            "csrdNo": 1001,
            "csrdNm": "신광4거리",
            "item": [
                {
                    "planSn": 1,
                    "holyddPlanMM": 1,
                    "holyddPlanDD": 1,
                    "csrdPlanNo": "4",
                    "collctDtime": "2024-07-22 01:00:08"
                },
                {
                    "planSn": 2,
                    "holyddPlanMM": 3,
                    "holyddPlanDD": 1,
                    "csrdPlanNo": "4",
                    "collctDtime": "2024-07-22 01:00:08"
                },
                {
                    "planSn": 3,
                    "holyddPlanMM": 5,
                    "holyddPlanDD": 5,
                    "csrdPlanNo": "4",
                    "collctDtime": "2024-07-22 01:00:08"
                },
                {
                    "planSn": 4,
                    "holyddPlanMM": 6,
                    "holyddPlanDD": 6,
                    "csrdPlanNo": "4",
                    "collctDtime": "2024-07-22 01:00:08"
                }
            ]
        }
    ]
}
```

## 5. 교차로 예약계획 정보 조회 API (GetResrvPlan)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/grp
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/vpLw2CsypZYHRrtztNgl" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/grp?regionCd=L02&csrdNo=1001&ver=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/grp?regionCd=L02&csrdNo=1001&ver=20240722' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "items": [
        {
            "csrdNo": 1001,
            "csrdNm": "신광4거리",
            "item": [
                {
                    "resrvNo": 3,
                    "resrvMM": 0,
                    "resrvDD": 0,
                    "resrvDY": 0,
                    "resrvStrtHH": 0,
                    "resrvStrtMI": 0,
                    "resrvEndHH": 0,
                    "resrvEndMI": 0,
                    "resrvContrlCd": "0",
                    "collctDtime": "2024-07-22 01:00:00"
                }
            ]
        }
    ]
}
```

## 6. 교차로 시그널 맵 정보 조회 API (GetSignalMapInfo)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/gsmi
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/Tf6V2PxkjKRH8NQHDLkp" %}

### 참고사항&#x20;

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/gsmi?regionCd=L02&csrdNo=1001&ver=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/gsmi?regionCd=L02&csrdNo=1001&ver=20240722' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "items": [
        {
            "csrdNo": 1001,
            "csrdNm": "신광4거리",
            "item": [
                {
                    "ringNo": "0",
                    "planTp": "0",
                    "stepNo": "1",
                    "car1": 0,
                    "ped1": 0,
                    "car2": 0,
                    "ped2": 0,
                    "car3": 0,
                    "ped3": 0,
                    "car4": 0,
                    "ped4": 0,
                    "car5": 1,
                    "ped5": 0,
                    "car6": 0,
                    "ped6": 0,
                    "car7": 1,
                    "ped7": 0,
                    "car8": 1,
                    "ped8": 0,
                    "minTm": 4,
                    "maxTm": 0,
                    "eop": 0
                }
            ]
        }
    ]
}

```

## 7. TOD 수집 이력 조회 API (GetVersionList)

### 요청 URL

```url
https://service.mqnicrnd5.com/api/v1/tod/offer/gvl
```

### 연계 주기&#x20;

요청 시&#x20;

### 프로토콜

HTTPS

### HTTP 메서드

GET

### 데이터 포맷

{% file src="/files/tA0Kyrvp7whfOmFnN6El" %}

### 참고사항

API를 요청할 때 다음 예와 같이 HTTP 요청 헤더에 접근 토큰(Access Token) 을 추가해야 합니다. <mark style="color:purple;">**접근 토큰 앞에 "Bearer " 문자열을 추가해야 한다는 점에 주의하세요.**</mark>

```
> GET /api/v1/tod/offer/gvl?regionCd=L02&csrdNo=1107&stDttm=20240720&edDttm=20240722 HTTP/2
> Host: service.mqnicrnd5.com
> User-Agent: curl/7.64.1
> Accept: */*
> Authorization: Bearer <접근 토큰>
```

### 요청 예시

```bash
curl --location 'https://service.mqnicrnd5.com/api/v1/tod/offer/gvl?regionCd=L02&csrdNo=1107&stDttm=20240720&edDttm=20240722' \
--header 'Authorization: Bearer <접근 토큰>'
```

### 응답 예시

```json
{
    "regionCd": "L02",
    "items": [
        {
            "csrdNo": 1107,
            "updtTm": [
                "2024-07-22"
            ]
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mqnicrnd5.com/guide/rest-api/signal-tod-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
